#!/bin/sh

if ! type efibootmgr > /dev/null; then
    logger -t ubiquity "no efibootmgr or not efi system, do nothing"
    exit 0
fi

mybootId=$(efibootmgr | grep -E "^Boot[0-9a-fA-F]+.*cdos.*" | sed -e "s/Boot\([0-9a-fA-F]\+\).*/\1/g")
bootnumList=$(efibootmgr | grep -E "^Boot[0-9]+" | sed -e "s/Boot\([0-9a-fA-F]\+\).*/\1/g")

[ -z "$mybootId" ] && exit 0

reOrderBootSeq="$mybootId"
for item in $bootnumList; do
    if [ "$item" = "$mybootId" ]; then
	    continue
    fi
    reOrderBootSeq="$reOrderBootSeq,$item"
done
efibootmgr -o $reOrderBootSeq
